Set primary identity
curl --request PATCH \
--url https://prod-auth.tktchurch.com/api/v1/users/me/identities/{identityId}/primary \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/users/me/identities/{identityId}/primary")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/api/v1/users/me/identities/{identityId}/primary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/users/me/identities/{identityId}/primary"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text){
"error": "invalid_request",
"error_description": "Redirect URI not registered for this client"
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}{
"error": "not_found",
"error_description": "Client not found"
}Set primary identity
Set primary identity. Requires a Bearer access token for the signed-in user.
PATCH
/
api
/
v1
/
users
/
me
/
identities
/
{identityId}
/
primary
Set primary identity
curl --request PATCH \
--url https://prod-auth.tktchurch.com/api/v1/users/me/identities/{identityId}/primary \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/users/me/identities/{identityId}/primary")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/api/v1/users/me/identities/{identityId}/primary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/users/me/identities/{identityId}/primary"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text){
"error": "invalid_request",
"error_description": "Redirect URI not registered for this client"
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}{
"error": "not_found",
"error_description": "Client not found"
}